{% extends 'betauzapp/base.html' %}
{% load static %}

{% block content %}
<section class="container box">
    <h1 class="subtitle is-3">POLULAR</h1>
    <br>
    <div class="columns">
        {% for item in popular %}
        <div class="column is-3.5 ml-3 has-background-primary">
            <a href="{{item.get_absolute_url}}"> <img src="{{item.image.url}}" alt=""></a>
            <h1 class="title is-3"><a href="{{item.get_absolute_url}}">{{item.title}}</a></h1>
            <p class="subtitle -5">{{item.description}}</p>
            <em>{{item.date_published|date:"j  F, Y "}}</em>
        </div>
        {% endfor %}
    </div>
</section>

<div class="container">
    <form action="{% url 'search_result' %}" method="GET" class="mt-4">
        <input class="input is-primary" type="text" name="search" placeholder="izlash">
        <button class="button is-primary is-rounded mt-4">Izlash</button>
    </form>
</div>

<section class="section">
    <div class="columns">
        {% for item in news %}
        <div class="column is-3.5 ml-3 has-background-primary">
            <a href="{{item.get_absolute_url}}"> <img src="{{item.image.url}}" alt=""></a>
            <h1 class="title is-3"><a href="{{item.get_absolute_url}}">{{item.title}}</a></h1>
            <p class="subtitle -5">{{item.description}}</p>
            <em>{{item.date_published|date:"j  F, Y "}}</em>
        </div>
        {% endfor %}
    </div>
</section>
{% endblock %}